#! /bin/sh


if [ "$(whoami)" != "root" ]; then
    SUDO=sudo
fi
CODENAME=`lsb_release -c -s`

${SUDO} apt update
${SUDO} apt-get install -y lsb-release wget gpg
${SUDO} mkdir -p /etc/apt/keyrings
wget -O- https://rspamd.com/apt-stable/gpg.key | gpg --dearmor | ${SUDO} tee /etc/apt/keyrings/rspamd.gpg > /dev/null
echo "deb [signed-by=/etc/apt/keyrings/rspamd.gpg] http://rspamd.com/apt-stable/ $CODENAME main" | ${SUDO} tee /etc/apt/sources.list.d/rspamd.list
echo "deb-src [signed-by=/etc/apt/keyrings/rspamd.gpg] http://rspamd.com/apt-stable/ $CODENAME main"  | ${SUDO} tee -a /etc/apt/sources.list.d/rspamd.list
#${SUDO} apt-get update
#${SUDO} apt-get --no-install-recommends install rspamd
